Subject: SEO Candidate - Nathi Raghavender Reddy
From: Nathi Raghavender Reddy <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 23 Mar 2023 08:26:14 +0000

| | SEO  Test

Name | Nathi Raghavender Reddy
E-mail | [email-masked]
Phone Number | (91) 9618647284
Where do you currently live (area) | Hyderabad

Please give us details of your last 3 employments including current. If you've not worked in 3 companies, please enter NA

| Name of Company | Designation | Last working day | Monthly Salary (inhand)
Current Employer | Codit Solutions Pvt Ltd | Senior Digital Marketing Analyst | 31-03-2023 | 35,000
Previous Employer 1 | Blueberry Digital Labs | SEO Executive | 13-09-2022 | 20,000
Previous Employer 2 | | | |

Have you independently worked on SEO for any website?  If yes, what was the website, and what were the keywords?

Yes I have worked independently on the website following

https://www.paintminds.com/

These are the top keywords

The keywords are

1. Top job search consulting firms

2. Resume Score check

3. Resume writing services

Have you done SEO for any international websites? If yes, which ones and in what countries were you working on ranking them? | I also worked on an international website named https://www.template.net/ I was working them from India and the website was ranking top 5th, 4th, 3rd and 1st postition for many of the keywords

Give a list of Keywords that you have ranked and name of websites

1. Top job search consulting firms

2. Resume Score check

3. Resume writing services  (https://www.paintminds.com/)

1. Trending holidays template

2. Printable holidays template

3. Adobe Illustrator Templates

4. Adobe Indesign Templates

How do you do Keyword Research?

1. Find the relevant keywords by searching as per the website niche

2. Make a list of all the top keywords by doing competitor research and add the phrase to the require keywords by analyzing its importance to the landing page and website.

3. Target the keyword which has good search intent.

4. Do the keyword research using the SEM RUSH, Keyword planner, etc

What activities do you perform Off Page?

1. Link Building

2. Guest posting

3. Local listings.

4. Daily Social Media postings

5. Out reach email marketing

6. Email Campaigns

| |